Skip to main content
GET
/
policies
/
{org}
/
{policy_name}
Get policy
curl --request GET \
  --url https://app.kosli.com/api/v2/policies/{org}/{policy_name} \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "description": "<string>",
  "created_by": "<string>",
  "created_at": 123,
  "last_modified_at": 123,
  "archived": false,
  "versions": [],
  "events": [],
  "consuming_envs": []
}

Authentication

✅ Organization User (CustomerEmployee)
❌ Delegated User (EndUser)
✅ Service Account

Required Permissions

Policies:Read: Always required.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

policy_name
string
required
org
string
required

Response

Successful Response

Response model for a policy

This represents the response structure when retrieving, creating or updating a policy.

name
string
required
description
string
required
created_by
string
required
created_at
number | null
last_modified_at
number | null
archived
boolean
default:false
versions
VersionedPolicy · object[]
events
PolicyEvent · object[]
consuming_envs
string[]
Last modified on April 9, 2026